Package twisted :: Package trial :: Module unittest :: Class VerboseTextReporter

[show private | hide private]
[frames | no frames]

## Class VerboseTextReporter

    Reporter --+
               |
    TextReporter --+
                   |
                  VerboseTextReporter

Method Summary
| `__init__(self, stream)`
| `allPassed(self)` (inherited from `Reporter`)
| `getRunningTime(self)` (inherited from `Reporter`)
| `reportError(self, testCase, method, exc_info)`
| `reportFailure(self, testCase, method, exc_info)`
| `reportImportError(self, name, exc)` (inherited from `Reporter`)
| `reportSkip(self, testCase, method, exc_info)`
| `reportStart(self, testCase, method)`
| `reportSuccess(self, testCase, method)`
| `start(self, expectedTests)` (inherited from `Reporter`)
| `stop(self)` (inherited from `TextReporter`)
| `write(self, format, *args)` (inherited from `TextReporter`)
| `writeln(self, format, *args)` (inherited from `TextReporter`)
| `_formatError(self, flavor, (testClass, method,` (inherited from `TextReporter`)
| `_statusReport(self)` (inherited from `TextReporter`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:27 2003 | http://epydoc.sf.net